Debian Bug report logs - #712052
ITP: http-parser -- parser for HTTP messages written in C

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Praveen A <pravi.a@gmail.com>

Date: Wed, 12 Jun 2013 15:21:01 UTC

Owned by: Praveen Arimbrathodiyil <praveen@debian.org>

Severity: wishlist

Fixed in version http-parser/2.1-1

Done: Praveen Arimbrathodiyil <praveen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>:
Bug#712052; Package wnpp. (Wed, 12 Jun 2013 15:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>. (Wed, 12 Jun 2013 15:21:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: http-parser -- parser for HTTP messages written in C
Date: Wed, 12 Jun 2013 20:49:25 +0530
package: wnpp
severity: wishlist
owner: Praveen Arimbrathodiyil <praveen@debian.org>

URL: https://github.com/joyent/http-parser
package name: http-parser
version: 2.1
Upstream Author: Joyent
Programming Language: C
License: Expat
Description: This is a parser for HTTP messages written in C. It
parses both requests and responses. The parser is designed to be used
in performance HTTP applications. It does not make any syscalls nor
allocations, it does not buffer data, it can be interrupted at
anytime. Depending on your architecture, it only requires about 40
bytes of data per message stream (in a web server that is per
connection).

--
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Added indication that bug 712052 blocks 711595 Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Wed, 12 Jun 2013 15:27:20 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 14 Jun 2013 20:06:14 GMT) Full text and rfc822 format available.

Reply sent to Praveen Arimbrathodiyil <praveen@debian.org>:
You have taken responsibility. (Wed, 07 Aug 2013 03:06:21 GMT) Full text and rfc822 format available.

Notification sent to Praveen A <pravi.a@gmail.com>:
Bug acknowledged by developer. (Wed, 07 Aug 2013 03:06:21 GMT) Full text and rfc822 format available.

Message #14 received at 712052-close@bugs.debian.org (full text, mbox):

From: Praveen Arimbrathodiyil <praveen@debian.org>
To: 712052-close@bugs.debian.org
Subject: Bug#712052: fixed in http-parser 2.1-1
Date: Wed, 07 Aug 2013 03:01:51 +0000
Source: http-parser
Source-Version: 2.1-1

We believe that the bug you reported is fixed in the latest version of
http-parser, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 712052@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Praveen Arimbrathodiyil <praveen@debian.org> (supplier of updated http-parser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 13 Jun 2013 20:37:49 +0530
Source: http-parser
Binary: libhttp-parser-dev libhttp-parser
Architecture: source amd64
Version: 2.1-1
Distribution: unstable
Urgency: low
Maintainer: Praveen Arimbrathodiyil <praveen@debian.org>
Changed-By: Praveen Arimbrathodiyil <praveen@debian.org>
Description: 
 libhttp-parser - parser for HTTP messages written in C
 libhttp-parser-dev - parser for HTTP messages: Development Libraries and Header Files
Closes: 712052
Changes: 
 http-parser (2.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #712052)
Checksums-Sha1: 
 ea0a89a290ed9f99d89c65d3667491388cd7d747 1958 http-parser_2.1-1.dsc
 589357d8e0aec5ca5ce4aaafc9c62a28f4ed6706 40177 http-parser_2.1.orig.tar.gz
 80aa0c3cbca9524250e6c2a9ca6a162654aba067 3086 http-parser_2.1-1.debian.tar.gz
 00963348593ccbda8d9d820d9755b255986458d8 16264 libhttp-parser-dev_2.1-1_amd64.deb
 3037ce48de8f2fb7dafa701408b36384cf714ab4 17062 libhttp-parser_2.1-1_amd64.deb
Checksums-Sha256: 
 1608c489a29445fd10488b4a9417b8ce7d237e2d04b6d5848c167e2a19f809c2 1958 http-parser_2.1-1.dsc
 749c35dc4696be4be9bb4f3b388197151cee6e91b5e8895789be904386e38187 40177 http-parser_2.1.orig.tar.gz
 86158dd925b868d772de1eb818de961766105981cef63e8d82caa60996333f6a 3086 http-parser_2.1-1.debian.tar.gz
 50331d04adf40550878a697da28f3b22b3badf362158f9ac727c5eb5c4effd3c 16264 libhttp-parser-dev_2.1-1_amd64.deb
 041ba51d53124821dbf2646c1ad65c38ea650af004a061939a9ec2cb7a2980f5 17062 libhttp-parser_2.1-1_amd64.deb
Files: 
 94fc1b6955b9d871da05c8871c282a9b 1958 libs extra http-parser_2.1-1.dsc
 7c801e4623a3246b99441b6d1ec18c39 40177 libs extra http-parser_2.1.orig.tar.gz
 e6c08d5b47a8dba469c1308ac3c95753 3086 libs extra http-parser_2.1-1.debian.tar.gz
 033836bc9a3dcd494739f0f83f9244c1 16264 libdevel extra libhttp-parser-dev_2.1-1_amd64.deb
 441ebd002de313f89010dac4eb7ff915 17062 libs extra libhttp-parser_2.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRueuBAAoJEM4fnGdFEsIq5NcP/ju0QZiAMqr9UqhRo9MWUFfJ
vlrHzwJGqrbQz2lgzF1TnJ+yGq8urU6xjv0eEyoomZ8gjzU4v2H3EBHa9mHVjgrq
I9PHH1encSWZmQqbMUFDB+Rpl1lX8Pa3r/w4/0Ht4/xs0nZ3Ty2C7aZCn+tA47tI
Dh7Mil9gtFVqj4YnXiNj9mtwVroj8/waKWYZntZf+hMJmPyfSJQUIIyyP98mns7e
rGtRSdxTkb7+aqNp7Zk7Z5RpaCaPA3w9/evgIpWm1yD/kNJYYTQBGtC2SHT1aDvJ
7VWI+2gYDMWlUNf3w+idjVUrE0thc6NTFUNEJHDe0rTD+SlksRXl34pa1eash36E
trLjFbWXjS5B3jda5oCrVmeIk1gDke2HExnQKjYTGS9Gy7osM1zyXKsMBzDRH8Ta
ziaibx1R8/etEQJAshd9qomlkbcS2EIc0FIjuTNOjN2AXGT7CwoQ6niEWE6aSBXP
LaZKmnJxFg+NWspXQgichfdknFzZgkw5PLKg5WjiKy7YVXTR26o2CPKporYrNJdi
qBE39yWeQVNPJnVK56dKyNaRx8dYBbgBZXVOQRF44iGHSZVakzj3wDrFPU+tZsCO
3u0m+aTAKzMh3d+P5NihqAVVZkaF8vVMtnU7URT7pm3WPWTFR2eUhF0ySmalkXIC
Ww4zOMpSqLOlC3CkhUdL
=IuVd
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Sep 2013 07:31:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:49:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.